DeepWorkZone
Releases
Releases
  1. Public API
  • Webhooks
  • Public API
    • Authentication
    • User Stats
      GET
    • Get Session History
      GET
  1. Public API

User Stats

Developing
Development
https://api-dev.deepworkzone.ai
Development
https://api-dev.deepworkzone.ai
GET
https://api-dev.deepworkzone.ai
/api/v1/public/stats/{multiplai_id}
Last modified:2026-02-10 03:35:59
Maintainer:Not configured

Date Filter Query Parameters#

These query parameters are used to filter data based on date ranges. They support preset ranges (calendar-based or rolling) and custom ranges.

Query Parameters#

ParameterTypeRequiredDescription
referencestringyesThe type of date range. Possible values:
- current: aligned to calendar boundaries (e.g., this week, this month).
- previous: previous calendar period (e.g., last month).
- rolling: relative to current date, not aligned to calendar (e.g., last 30 days).
- custom: user-defined start and end dates.
rangestringrequired unless reference=customThe size of the period. Possible values: day, week, month, year. For rolling ranges, you can also define rolling_7_days, rolling_30_days, etc.
start_datedaterequired if reference=customStart date for a custom range (YYYY-MM-DD).
end_datedaterequired if reference=customEnd date for a custom range (YYYY-MM-DD).

Examples#

Current Week#

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-dev.deepworkzone.ai/api/v1/public/stats/70119?reference=custom&start_date=2026-01-01&end_date=2026-11-05' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "status": "success",
    "message": "Success",
    "data": {
        "multiplai_id": "70334",
        "email_address": "darryl.ceguerra@go.team",
        "session_completed": 8,
        "total_session_duration": "270",
        "level": {
            "title": "Flow Beginner",
            "rank": "Starter",
            "stage": 2,
            "min": 1601,
            "max": 6400,
            "points": 2150,
            "progress": 11.44
        },
        "ffs_earned": 2150
    },
    "meta": null
}
Modified at 2026-02-10 03:35:59
Previous
Authentication
Next
Get Session History
Built with